POST Agents/Selection/SetDynamicSelectionCriteriaGroups
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Selection/SetDynamicSelectionCriteriaGroups
Update the criteria for this dynamic selection.
Replaces existing criteria with the new values. This call supports multiple criteria groups. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Selection/SetDynamicSelectionCriteriaGroups?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SelectionId, Criteria
| Property Name | Type | Description |
|---|---|---|
| SelectionId | Integer | |
| Criteria | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | Name of the group |
| Description | string | Description of the group |
| Rank | int32 | Rank of group among groups |
| Restrictions | array |
Sample request
POST /api/v1/Agents/Selection/SetDynamicSelectionCriteriaGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"SelectionId": 122,
"Criteria": [
{
"Name": "Quitzon-Nikolaus",
"Description": "Optional logistical utilisation",
"Rank": 848,
"Restrictions": [
{},
{}
]
},
{
"Name": "Quitzon-Nikolaus",
"Description": "Optional logistical utilisation",
"Rank": 848,
"Restrictions": [
{},
{}
]
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "Geographic and Business Filters",
"Description": "Combined geographic and business criteria",
"Rank": 1,
"Restrictions": [
{
"Name": "Country",
"Operator": "oneOf",
"Values": [
"Norway",
"Sweden",
"Denmark"
],
"DisplayValues": [
"Norway",
"Sweden",
"Denmark"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 0,
"InterOperator": "And",
"UniqueHash": 1024
}
]
},
{
"Name": "Revenue Criteria",
"Description": "Filter by company revenue",
"Rank": 2,
"Restrictions": [
{
"Name": "Revenue",
"Operator": "greaterThan",
"Values": [
"50000"
],
"DisplayValues": [
"$50,000"
],
"ColumnInfo": null,
"IsActive": false,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 160,
"InterOperator": "And",
"UniqueHash": 765
}
]
}
]